public class AppUser : Raven.Identity.IdentityUser
{
    public string Username { get; set; } = "";
    public AuthScopes Scope { get; set; } = AuthScopes.User;
}

public enum AuthScopes
{
    User,
    Moderator,
    Admin
}

public class ApiKey
{
    public string? Id { get; set; }
    public string Name { get; set; } = "";
    public string Key { get; set; } = Guid.NewGuid().ToString();
    public DateTime LastUse { get; set; }
}