using System.Text.Json;
using Raven.Client.Documents;

public class Config
{
    private string _db_key = "Config";

    public ConfigData Data;

    private readonly IDocumentStore db;

    public Config(IDocumentStore d)
    {
        db = d;
        using var session = db.OpenSession();
        Data = session.Load<ConfigData>(_db_key);
        if (Data == null)
        {
            Data = new ConfigData();
            session.Store(Data, _db_key);
            session.SaveChanges();
        }
        // session.Store(Data, _db_key_backup);// Backup data on startup
    }

    internal void Save()
    {
        using var session = db.OpenSession();
        session.Store(Data, _db_key);
        session.SaveChanges();
    }
}

public class ConfigData
{

}
